# getReferralUrl(walletAddress)

<details>

<summary>To be deprecated</summary>

This method will be deprecated in upcoming versions of the SDK. Please use the [ChainvineUser.referral.url](/developers/sdk/classes-and-functions/chainvineuser/referral-campaignparams/url.md) method instead.

</details>

## Params

<table><thead><tr><th width="180">Param</th><th width="141">Required</th><th>Description</th></tr></thead><tbody><tr><td>walletAddress</td><td>required</td><td>the wallet of the user to general a referral link for</td></tr></tbody></table>

## **Response**

***ReferralUrlResponse***

<table><thead><tr><th width="180"></th><th width="141">Type</th><th>Description</th></tr></thead><tbody><tr><td>url</td><td>String</td><td>the referral URL for the given wallet address</td></tr><tr><td>wallet_address</td><td>String</td><td>the wallet address linked to the referral URL</td></tr><tr><td>new_user</td><td>Boolean</td><td>indicates whether the supplied wallet address is a new user</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainvine.xyz/developers/sdk/classes-and-functions/chainvineclient/getreferralurl-walletaddress.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
